octofuss-client - Segnalazione #783

Versione dei pacchetti errata
04/01/2019 12:19 PM - Marco Marinello

Status: Risolto Start date: 04/01/2019
Priority: Alta Due date:

Assignee: Paolo Dongilli % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description
In OctoMon sembrerebbe arrivare il dato dell'ultima versione disponibile e non installata. Servono indagini

Associated revisions

Revision 2b61eaf4 - 04/16/2019 01:59 PM - Elena "“of Valhalla" Grandi

Show installed version of packages rather than the latest available. refs: #783

History

#1 - 04/01/2019 09:43 PM - Marco Marinello

root@cmfuss:~# dpkg -1 octofuss-client
Voluto=U (non noto)/I (installato)/R (rimosso)/P (rimosso totale)/H (in attesa)
| Stato=Non/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend

|/ Err?=(nessuno) /R (reinstallazione richiesta) (Stato,Err: maiuscolo=grave)

||/ Nome Versione Architettura Descrizione
+4+—

ii octofuss-client 9.0.4-1 all OctoFuss client
root@cmfuss:~# apt-cache madison octofuss-client

octofuss—-client | 9.0.8-1 | http://archive.fuss.bz.it/ jessie/main amd64 Packages

root@cmfuss:~# python3

Python 3.4.2 (default, Oct 8 2014, 10:45:20)

[GCC 4.9.1] on linux

Type "help", "copyright", "credits" or "license" for more information.
>>> import apt

>>> pkg_cache.has_key ("octofuss-client")

True
>>> pkg_cache["octofuss-client"].is_installed
True
>>> pkg_cache["octofuss—client"].versions[0].version
'9.0.8-1"
03/13/2024

1/3




#2 - 04/02/2019 10:12 AM - Marco Marinello

- Assignee changed from Marco Marinello to Paolo Dongilli
#3 - 04/02/2019 10:18 AM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Simone Piccardi

- Priority changed from Normale to Alta

Marco rileva che nel sorgente https://work.fuss.bz.it/projects/octofuss-client/repository/revisions/master/entry/octofussclient/clientdata.py va sostituito

found_package.versions[0].version

con

installed.version

Prego verificare ed aggiornare. Ci penso poi io a ricreare il nuovo pacchetto.

#4 - 04/16/2019 01:07 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Elena Grandi

#5 - 04/16/2019 02:05 PM - Elena Grandi
- Status changed from Nuovo to In elaborazione

- Assignee changed from Elena Grandi to Paolo Dongilli

Confermo: ho verificato che found_package.installed.version fornisce la stringa giusta sia in jessie che in buster (e ne deduco anche in stretch).

Versione aggiornata in master, con il numero di versione aggiornato in setup.py e la nuova entry in debian/changelog, da finalizzare (dch --release)
prima di fare il pacchetto.

Prima dell'upload ci sara da testare il funzionamento del pacchetto buildato, come di consueto.

#6 - 06/27/2019 09:28 AM - Elena Grandi

- Status changed from In elaborazione to Commenti

Vedo che sul repository gia c'é€ una versione del pacchetto che comprende questa modifica: il ticket si pud chiudere?
#7 - 06/27/2019 12:37 PM - Marco Marinello

- Status changed from Commenti to Risolto

- % Done changed from 0 to 100
https://work.fuss.bz.it/projects/octofuss-client/repository/revisions/master/entry/octofussclient/clientdata.py

Si, grazie.
